#include <bits/stdc++.h>

#define IT uint64_t

int main() 
{
	IT N, sc = 0;
	
	std::cin >> N;
	std::vector<IT> jela(N), recepti(N), scenarija(N);
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		jela[i] = x;
	}
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		recepti[i] = x;
	}
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		scenarija[i] = x;
	}
	
	for(const int jelo : jela)
	{
		std::vector<IT> ind;
		for(IT i = 0; i < N; i++)
		{
			if(recepti[i] == jelo)
				ind.push_back(i + 1);
		}
		
		for(const int i : ind)
		{
			for(const int s : scenarija)
				if(s == i)
					sc++;
		}
	}
	
	std::cout << sc;
	
	return 0;
}